<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::afml::test::AudioActivityTrackerTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html">afml</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test.html">AudioActivityTrackerTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::afml::test::AudioActivityTrackerTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::afml::test::AudioActivityTrackerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test_inherit__map" id="alexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::afml::test::AudioActivityTrackerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test_coll__map" id="alexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad3d708ab4104cfb3865c13cf9b06741a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test.html#ad3d708ab4104cfb3865c13cf9b06741a">AudioActivityTrackerTest</a> ()</td></tr>
<tr class="separator:ad3d708ab4104cfb3865c13cf9b06741a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bccfdc4a13193988299aeff124faab6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test.html#a4bccfdc4a13193988299aeff124faab6">SetUp</a> () override</td></tr>
<tr class="separator:a4bccfdc4a13193988299aeff124faab6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e236a3680da95a1b96a977dad672ae1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test.html#a2e236a3680da95a1b96a977dad672ae1">TearDown</a> () override</td></tr>
<tr class="separator:a2e236a3680da95a1b96a977dad672ae1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96f28c1af34c539a50ef74f3acf71700"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test.html#a96f28c1af34c539a50ef74f3acf71700">verifyState</a> (const std::string &amp;providedState, const std::vector&lt; <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html">Channel::State</a> &gt; &amp;channels)</td></tr>
<tr class="separator:a96f28c1af34c539a50ef74f3acf71700"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d227b2586cbef776efbedd318e93635"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test.html#a1d227b2586cbef776efbedd318e93635">provideUpdate</a> (const std::vector&lt; <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html">Channel::State</a> &gt; &amp;channels)</td></tr>
<tr class="separator:a1d227b2586cbef776efbedd318e93635"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd9aa356b6c4ac8b5773175dc4261918"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a10a3cb8dea046c68b6cd5b82c0bedbdb">SetStateResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test.html#acd9aa356b6c4ac8b5773175dc4261918">wakeOnSetState</a> ()</td></tr>
<tr class="separator:acd9aa356b6c4ac8b5773175dc4261918"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad2c86cd77cfe2291549f66cb06893f54"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test.html#ad2c86cd77cfe2291549f66cb06893f54">m_audioActivityTracker</a></td></tr>
<tr class="memdesc:ad2c86cd77cfe2291549f66cb06893f54"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a></code> to test  <a href="#ad2c86cd77cfe2291549f66cb06893f54">More...</a><br /></td></tr>
<tr class="separator:ad2c86cd77cfe2291549f66cb06893f54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae280b743ca56fb406cf3e7b53b256896"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_context_manager.html">MockContextManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test.html#ae280b743ca56fb406cf3e7b53b256896">m_mockContextManager</a></td></tr>
<tr class="memdesc:ae280b743ca56fb406cf3e7b53b256896"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>ContextManager</code> to provide state and update state.  <a href="#ae280b743ca56fb406cf3e7b53b256896">More...</a><br /></td></tr>
<tr class="separator:ae280b743ca56fb406cf3e7b53b256896"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89516017760dbf4b28776391262a03d4"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test.html#a89516017760dbf4b28776391262a03d4">m_dialogChannel</a></td></tr>
<tr class="memdesc:a89516017760dbf4b28776391262a03d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">A dialogChannel used for testing.  <a href="#a89516017760dbf4b28776391262a03d4">More...</a><br /></td></tr>
<tr class="separator:a89516017760dbf4b28776391262a03d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cc77aa1c03cdd06e0bc6154525344f9"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test.html#a4cc77aa1c03cdd06e0bc6154525344f9">m_contentChannel</a></td></tr>
<tr class="memdesc:a4cc77aa1c03cdd06e0bc6154525344f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">A contentChannel used for testing.  <a href="#a4cc77aa1c03cdd06e0bc6154525344f9">More...</a><br /></td></tr>
<tr class="separator:a4cc77aa1c03cdd06e0bc6154525344f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a065ec3c81bc8786967701660c1d5136f"><td class="memItemLeft" align="right" valign="top">std::promise&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test.html#a065ec3c81bc8786967701660c1d5136f">m_wakeSetStatePromise</a></td></tr>
<tr class="memdesc:a065ec3c81bc8786967701660c1d5136f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Promise to be fulfilled when <code>setState</code> is called.  <a href="#a065ec3c81bc8786967701660c1d5136f">More...</a><br /></td></tr>
<tr class="separator:a065ec3c81bc8786967701660c1d5136f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad23cbfac617d480b5d91f9fbc357125f"><td class="memItemLeft" align="right" valign="top">std::future&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test.html#ad23cbfac617d480b5d91f9fbc357125f">m_wakeSetStateFuture</a></td></tr>
<tr class="memdesc:ad23cbfac617d480b5d91f9fbc357125f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Future to notify when <code>setState</code> is called.  <a href="#ad23cbfac617d480b5d91f9fbc357125f">More...</a><br /></td></tr>
<tr class="separator:ad23cbfac617d480b5d91f9fbc357125f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad3d708ab4104cfb3865c13cf9b06741a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3d708ab4104cfb3865c13cf9b06741a">&#9670;&nbsp;</a></span>AudioActivityTrackerTest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::afml::test::AudioActivityTrackerTest::AudioActivityTrackerTest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a1d227b2586cbef776efbedd318e93635"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d227b2586cbef776efbedd318e93635">&#9670;&nbsp;</a></span>provideUpdate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::afml::test::AudioActivityTrackerTest::provideUpdate </td>
          <td>(</td>
          <td class="paramtype">const std::vector&lt; <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html">Channel::State</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>channels</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">A helper function to verify the context provided by the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a> matches the set the channels notified via notifyOfActivityUpdates().</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">channels</td><td>The set of channels that's passed into the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a4bccfdc4a13193988299aeff124faab6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bccfdc4a13193988299aeff124faab6">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::afml::test::AudioActivityTrackerTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2e236a3680da95a1b96a977dad672ae1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e236a3680da95a1b96a977dad672ae1">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::afml::test::AudioActivityTrackerTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a96f28c1af34c539a50ef74f3acf71700"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96f28c1af34c539a50ef74f3acf71700">&#9670;&nbsp;</a></span>verifyState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::afml::test::AudioActivityTrackerTest::verifyState </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>providedState</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::vector&lt; <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html">Channel::State</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>channels</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Verify that the provided state matches the expected state</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">jsonState</td><td>The state to verify </td></tr>
    <tr><td class="paramname">channels</td><td>The set of channels that's passed into the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="acd9aa356b6c4ac8b5773175dc4261918"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd9aa356b6c4ac8b5773175dc4261918">&#9670;&nbsp;</a></span>wakeOnSetState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a10a3cb8dea046c68b6cd5b82c0bedbdb">SetStateResult</a> alexaClientSDK::afml::test::AudioActivityTrackerTest::wakeOnSetState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">This is invoked in response to a <code>setState</code> call.</p>
<dl class="section return"><dt>Returns</dt><dd><code>SUCCESS</code>. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ad2c86cd77cfe2291549f66cb06893f54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2c86cd77cfe2291549f66cb06893f54">&#9670;&nbsp;</a></span>m_audioActivityTracker</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a>&gt; alexaClientSDK::afml::test::AudioActivityTrackerTest::m_audioActivityTracker</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><code><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a></code> to test </p>

</div>
</div>
<a id="a4cc77aa1c03cdd06e0bc6154525344f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cc77aa1c03cdd06e0bc6154525344f9">&#9670;&nbsp;</a></span>m_contentChannel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>&gt; alexaClientSDK::afml::test::AudioActivityTrackerTest::m_contentChannel</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A contentChannel used for testing. </p>

</div>
</div>
<a id="a89516017760dbf4b28776391262a03d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89516017760dbf4b28776391262a03d4">&#9670;&nbsp;</a></span>m_dialogChannel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>&gt; alexaClientSDK::afml::test::AudioActivityTrackerTest::m_dialogChannel</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A dialogChannel used for testing. </p>

</div>
</div>
<a id="ae280b743ca56fb406cf3e7b53b256896"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae280b743ca56fb406cf3e7b53b256896">&#9670;&nbsp;</a></span>m_mockContextManager</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_context_manager.html">MockContextManager</a>&gt; alexaClientSDK::afml::test::AudioActivityTrackerTest::m_mockContextManager</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><code>ContextManager</code> to provide state and update state. </p>

</div>
</div>
<a id="ad23cbfac617d480b5d91f9fbc357125f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad23cbfac617d480b5d91f9fbc357125f">&#9670;&nbsp;</a></span>m_wakeSetStateFuture</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::future&lt;void&gt; alexaClientSDK::afml::test::AudioActivityTrackerTest::m_wakeSetStateFuture</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Future to notify when <code>setState</code> is called. </p>

</div>
</div>
<a id="a065ec3c81bc8786967701660c1d5136f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a065ec3c81bc8786967701660c1d5136f">&#9670;&nbsp;</a></span>m_wakeSetStatePromise</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::promise&lt;void&gt; alexaClientSDK::afml::test::AudioActivityTrackerTest::m_wakeSetStatePromise</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Promise to be fulfilled when <code>setState</code> is called. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AFML/test/<a class="el" href="_audio_activity_tracker_test_8cpp.html">AudioActivityTrackerTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
